Interface LogEndpointBuilderFactory.LogBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- LogEndpointBuilderFactory
public static interface LogEndpointBuilderFactory.LogBuilders
-
Method Summary
Modifier and TypeMethodDescriptionLog (camel-log) Log messages to the underlying logging mechanism.Log (camel-log) Log messages to the underlying logging mechanism.
-
Method Details
-
log
Log (camel-log) Log messages to the underlying logging mechanism. Category: core,monitoring Since: 1.1 Maven coordinates: org.apache.camel:camel-log Syntax:log:loggerNamePath parameter: loggerName (required) Name of the logging category to use- Parameters:
path- loggerName- Returns:
- the dsl builder
-
log
Log (camel-log) Log messages to the underlying logging mechanism. Category: core,monitoring Since: 1.1 Maven coordinates: org.apache.camel:camel-log Syntax:log:loggerNamePath parameter: loggerName (required) Name of the logging category to use- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- loggerName- Returns:
- the dsl builder
-